@font-face {
  font-family: 'Steelfish';
  src: url('/fonts/Steelfish-ExtraBoldItalic.woff2') format('woff2'),
       url('/fonts/Steelfish-ExtraBoldItalic.woff') format('woff');
  font-weight: 800;
  font-style: italic;
  font-display: swap;
}main {
  display: flex;
  flex-direction: column;   
  align-items: center;      
  gap: 80px;                

  padding: 80px 20px 160px;
  min-height: 100vh;
}


* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
}

body {
  font-family: 'Zen Kaku Gothic New', sans-serif;
  background: black;
  color: white;
}


.background {
  position: fixed;
  inset: 0;
  background: url('background.jpg') center / cover no-repeat;
  z-index: -1;
}


main {
  display: flex;
  flex-direction: column;   
  align-items: center;      
  gap: 80px;                

  padding: 80px 20px 160px;
  min-height: 100vh;
}


.content-box {
  position: relative;

  width: min(1100px, 100%);
  min-height: 100px;

  background: rgba(255, 80, 80, 0.95);
  box-shadow: 0 0 40px rgba(255, 60, 60, 0.8);

  padding: 50px 40px 40px;
}


.page-header {
  position: absolute;
  top: 0;
  left: 40px;

  transform: translate(-15px, -50%);

  font-family: 'Steelfish', 'Helvetica Neue Condensed Black',
               'Roboto Condensed', 'Impact', sans-serif;
  font-weight: 800;
  font-style: italic;
  font-size: clamp(36px, 5vw, 64px);

  text-shadow: 2px 2px 0 rgba(0, 0, 0, 0.5);
}


.page-content {
  font-size: 18px;
  line-height: 1.4;
  
  text-shadow: 2px 2px 0 rgba(0, 0, 0, 0.3);
}

.page-content img {
  max-width: 100%;
  height: auto;
  display: block;
}

.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;

  height: 140px;

  padding: 20px clamp(20px, 4vw, 60px);

  display: flex;
  justify-content: space-between;
  align-items: flex-end;

  background: linear-gradient(
  to top,
  rgba(0,0,0,1) 0%,
  rgba(0,0,0,.5) 40%,
  rgba(0,0,0,.1) 55%,
  rgba(0,0,0,0) 65%
);

  z-index: 1000;
}


.footer-left {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 4px;
}



.footer-nav {
  display: flex;
  gap: 0;
  align-items: center;
  
  margin-left: -30px;
}

.nav-btn {
  height: 90px;
  width: auto;
}



.footer-policy {
  display: flex;
  gap: 10px;
  align-items: center;

  font-size: clamp(11px, 1vw, 14px);
  opacity: 0.75;

  white-space: nowrap;
  
   margin-left: 10px;
}

.footer-link {
  color: white;
  text-decoration: none;
  transition: opacity 0.2s ease;
}

.footer-link:hover {
  opacity: 0.6;
}

.dot {
  opacity: 0.5;
}

body.landing main {
  display: none;
}

.hero {
  position: relative;
  height: 100vh;
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;
}

.hero-art {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;

  /*-webkit-mask-image: linear-gradient(
    to bottom,
    rgba(0,0,0,1) 60%,
    rgba(0,0,0,0) 100%
  );*/

  mask-image: linear-gradient(
    to bottom,
    rgba(0,0,0,1) 75%,
    rgba(0,0,0,0) 100%
  );
}

.hero-overlay {
  position: relative;
  z-index: 2;

  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;

  padding: 0 40px 130px;
}

.hero-bottom-row {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0px;
  flex-wrap: wrap;
}

.hero-logo {
  width: min(800px, 80vw);
  height: auto;
}

.steam-widget {
  width: 646px;
  max-width: 90vw;
}

.steam-widget iframe {
  width: 100%;
  height: 190px;
  border: none;
  transform: translateY(18px);
}

.page-content a {
  color: #590000;
  text-decoration: underline;
  font-weight: bold;
  text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.3);
}

.page-content a:hover {
  color: #fff;
}

.footer-right {
  display: flex;
  align-items: flex-end;
}

.lang-toggle {
  height: clamp(100px, 5vw, 70px);
  width: auto;
}

.lang-en,
.lang-ja {
  display: none;
}

html[lang="en"] .lang-en {
  display: block;
}

html[lang="ja"] .lang-ja {
  display: block;
}



@media (max-width: 1600px) {
.hero-logo {
  display: none;
}
}

@media (max-width: 960px) {
  .nav-btn {
    height: clamp(80px, 4vw, 110px);
  }
}

@media (max-width: 768px) {

  main {
    padding: 60px 16px 160px;
  }

  .content-box {
    border-width: 24px;
    padding: 60px 24px 24px;
  }

  .page-header {
    left: 24px;
  }

  .page-content {
    font-size: 16px;
  }
  
  .footer-right {
  display: none;
}

.nav-btn {
    height: clamp(55px, 14vw, 80px);
  }

}
